Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf.basic
Class BasicDatePickerUI.EditorCancelAction

    java.lang.Object
      javax.swing.AbstractAction
          org.jdesktop.swingx.plaf.basic.BasicDatePickerUI.EditorCancelAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

Enclosing class:
  BasicDatePickerUI

    public class BasicDatePickerUI.EditorCancelAction

extends javax.swing.AbstractAction

The wrapper for the editor cancel action. PENDING: Need to extend TestAction?

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `TEXT_CANCEL_KEY`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`BasicDatePickerUI.EditorCancelAction(javax.swing.JFormattedTextField field)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`void` | `uninstall()` Resets the contained editors actionMap to original and nulls all fields.

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEXT_CANCEL_KEY

    public static final java.lang.String TEXT_CANCEL_KEY

See Also:
  Constant Field Values

Constructor Detail

### BasicDatePickerUI.EditorCancelAction

    public BasicDatePickerUI.EditorCancelAction(javax.swing.JFormattedTextField field)

Method Detail

### uninstall

    public void uninstall()

  Resets the contained editors actionMap to original and nulls all fields.

  NOTE: after calling this method the action must not be used! Create a new one for the same or another editor.

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.